
#ifndef AUDIOOUTPUTLINE_H
#define AUDIOOUTPUTLINE_H

#include <windows.h>

class AudioOutputLine
{

    friend class AudioMixer;

    public:
        void writeSample(INT32 sample);
        void acquire();
        void release();

    private:
        AudioOutputLine(AudioMixer* mixer);
        AudioMixer* mixer;
        void reset();
        INT32             currentSample;
        INT64             lastWriteClockMark;
        INT64             sampleBuffer;

};

#endif
