
#ifndef DIRECTXAUDIOOUTPUTDEVICE_H
#define DIRECTXAUDIOOUTPUTDEVICE_H

#include <dsound.h>
#include "Intellivision.h"
#include "AudioOutputDevice.h"

class DirectXAudioOutputDevice : public AudioOutputDevice
{

    public:
        DirectXAudioOutputDevice();
        INT32 init(Intellivision* inty);
        INT32 getSampleRate();
        void playSample(INT32 sample);
        void release(Intellivision* inty);

    private:
        IDirectSound8*        dsound;
        IDirectSoundBuffer*   primarySoundBuffer;
        IDirectSoundBuffer*   secondarySoundBuffer;

};

#endif
